Principal()
{
   clear;
   cecho 1 44 "***************************************************************************";
   cecho 1 44 "|Proyecto Expresso Livre                                                  |";
   cecho 1 44 "| http://www.expressolivre.org                                            |";
   cecho 1 44 "| Script Generico para instalacin del ambiente Expresso Livre.           |";
   cecho 1 44 "| Versin de Script 1.3 - Data 11/02/2011                                 |";
   cecho 1 44 "| IMPORTANTE: LEA EL ARCHIVO README Y PREINSTALL ANTES DE INSTALAR!!!     |";
   cecho 1 44 "| Cada script de cada distribuicin posee su administrador                |";
   cecho 1 44 "| Usted puede encontrar los creditos en cada instalador.                  |";   
   cecho 1 44 "***************************************************************************";
   echo   
   cecho 33 1 "Seleccione su distribucin Linux:"
   echo
   cecho 1 1 "1. Debian Lenny"
   cecho 1 1 "2. Debian Squeeze"
   cecho 1 1 "3. SuSe 10.0"
   cecho 1 1 "4. SuSe 10.1"
   cecho 1 1 "5. CentOS 5"
   cecho 1 1 "6. Red Hat Enterprise 5"   
   cecho 1 1 "0. Sair do Script"
   echo
   cecho 32 1 "Escribe su opcin y presione ENTER: " -n; read opcao;
   case $opcao in
     1) InstalarDebian_lenny ;;
     2) InstalarDebian_squeeze ;;
     3) InstalarSuse_100 ;;
     4) InstalarSuse_101 ;;
     5) InstalarCentos_5 ;;
     6) InstalarRH_E5 ;;
     0) Fin;;
     *) cecho 31 1 "Error: Opcin invlida" ; sleep 1; clear; Principal;
   esac
}

#	Funcin para imprimir colores
#	$1 -> Numero de color del texto
#	$2 -> Numero de color de fondo
#	$3 -> Texto
#	$4 -> Imprimir en la misma linea, use -n
cecho(){
	echo $4 -e "\e[$1;$2m $3";tput sgr0;
}

returnMain()
{
    cd ..;
    cecho 31 1 "Pressione ENTER para regresar al menu principal" -n;
    read a; 
    clear;
    Principal
}
# Funcoes que invocam os respectivos scripts
InstalarDebian_lenny()
{
    echo "Llamando el script para  Debian Lenny ...";
    cd debian;./expressoInstallDebian-lenny-es.sh;
	returnMain;
}
InstalarDebian_squeeze()
{
    echo "Llamando el script para  Debian Squeeze ...";
    cd debian;./expressoInstallDebian-squeeze.sh;
	returnMain;
}
InstalarSuse_100()
{
    echo "Llamando el script para  Suse 10.0 ...";
    cd suse;./expressoInstallSuse10.0.sh;
	returnMain;
}
InstalarSuse_101()
{
    echo "Llamando el script para  Suse 10.1 ...";
    cd suse;./expressoInstallSuse10.1.sh;
	returnMain;
}
InstalarCentos_5()
{
    echo "Llamando el script para  CentoOS ...";
    cd rhel5-centos5;./expressoInstallCentos5.sh;
	returnMain;
}
InstalarRH_E5()
{
    echo "Llamando el script para  Red Hat Enterprise 5 ...";
    cd rhel5-centos5;./expressoInstallRHEL5.sh;
	returnMain;
}

Fim()
{
 exit 0;
}

Principal
